"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
async function restockHandler({ data, container, }) {
    const resendService = container.resolve("resend");
    const templateId = await resendService.getTemplateId("restock-notification.restocked");
    if (!templateId) {
        return;
    }
    const fetchedData = await resendService.fetchData("restock-notification.restocked", data, null);
    if (!data.emails) {
        return;
    }
    return await Promise.all(fetchedData.emails.map(async (e) => {
        return await resendService.sendEmail(templateId, resendService.options_.from, e, fetchedData);
    }));
}
exports.default = restockHandler;
exports.config = {
    event: "restock-notification.restocked",
    context: {
        subscriberId: "restock-handler",
    },
};
//# sourceMappingURL=restock.js.map